package a3test.basic;

import jp.sourceforge.acerola3d.a3.*;

public class A3Queue {
    public static void main(String args[]) throws Exception {
        A3Window w = new A3Window(300,300);
        w.setCameraLocImmediately(0.0,0.0,5.0);
        Action3D a3 = Action3D.load("x-res:///vesma9.a3");
        w.add(a3);
        a3.changeImmediately(0);
        a3.change(1);
        a3.change(2);
        a3.change(3);
        a3.change(4);

        try{Thread.sleep(10000);}catch(Exception e) {;}

        a3.changeImmediately(0);
        a3.changeImmediately(1);
        a3.changeImmediately(0);
    }
}
